Bug 73050 - mysql-4.0.3-beta will not compile
mysql-4.0.3-beta will not compile
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-08-30 01:21 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-05 19:21:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-30 01:21:59 EDT
Description of Problem:

When I try to compile mysql-4.0.3-beta, I get a 'Segmentation fault'

Code snippet from compilation failure:

make[4]: Entering directory `/usr/local/src/mysql/mysql-4.0.3-beta/innobase/trx'
gcc -DHAVE_CONFIG_H -I. -I../.././innobase/trx -I.. 
-I../.././innobase/trx/../include -I../.././innobase/trx/../../include 
-I../../include    -DDBUG_OFF -O3 -DDBUG_OFF    -DDEBUG_OFF -DUNIV_INTEL_X86 -c 
trx0purge.c: In function `trx_purge_truncate_rseg_history':
trx0purge.c:512: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[4]: *** [trx0purge.o] Error 1
make[4]: Leaving directory `/usr/local/src/mysql/mysql-4.0.3-beta/innobase/trx'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/usr/local/src/mysql/mysql-4.0.3-beta/innobase'
make[2]: *** [all-recursive-am] Error 2
make[2]: Leaving directory `/usr/local/src/mysql/mysql-4.0.3-beta/innobase'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/src/mysql/mysql-4.0.3-beta'
make: *** [all-recursive-am] Error 2

Version-Release number of selected component (if applicable):

Source code for

How Reproducible:

Every time!

Steps to Reproduce:
1. Download mysql-4.0.3-beta.tar.gz
2. Extract source modules
3. Attempt to compile

Fails every time!

Actual Results:

Expected Results:

Additional Information:
Comment 1 Trond Eivind Glomsrxd 2002-09-03 11:04:59 EDT
Not a mysql bug... reassigning. You have all the latest upgrades installed?
Comment 2 Need Real Name 2002-09-03 11:54:14 EDT
What 'upgrades' do you have in mind?  Do you have any specific upgrades that I 
should install to get mysql to compile, or is this just a general question?

Initially I went the 'Server' install route and did not install any of the 
X-Windows components.  Then I installed mysql-3.23.39 from a tarball.  This 
installed fine.  When I went to upgrade to mysql-4.0.3-beta did the problem 

Normally I do not upgrade with rpms, but if you know of some that will allow me 
to get mysql-4.0.3-beta installed, let me know.

Thank you!
Comment 3 Richard Henderson 2004-10-05 19:21:27 EDT
mysql-4.0.21 builds with gcc 3.2.

Note You need to log in before you can comment on or make changes to this bug.